/* list all stocks */

Call RxFuncAdd 'StockLoadFuncs', 'RXSTOCK', 'StockLoadFuncs'

Call StockLoadFuncs

save = 0

retval = StockWalkStocks(1)

say 'All stocks in system with dividend'

do while retval <> ''
	say retval
	div = StockWalkDividend(1)
	do while div <> ''
		parse var div date amount
		if amount = 0 then  do
			r = StockDelDividend(date)
			save = 1
		end
		say '    ' div
		div = StockWalkDividend(0)
	end
	retval = StockWalkStocks(0)
end

/* This lists all Philips quotes */

res = StockSetStock('Philips')

if res then do
	res = StockWalkQuotes(1)

	say 'All Philips quotes'

	do while res <> ''
		say res
		res = StockWalkQuotes(0)
	end
end

/* Now list all portfolios with transactions */

res = StockWalkPortfolios(1)

say 'All portfolios'

do while res <> ''
	say res
	asset = StockWalkTransactions(1)
	do while asset <> ''
		say '    ' asset
		asset = StockWalkTransactions(0)
	end
	res = StockWalkPortfolios(0)
end


if save then
	res = StockSave()

